Reset Checkout Settings

View as Markdown
Reset checkout settings to defaults.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Response

Successful Response
session_expiration_minutesinteger or nullOptional1-10080Defaults to 1440

Checkout session expiration time in minutes. Defaults to 1440 (24h). Configurable from 1h to 168h (7 days); the UI presents this in hours.

enable_posthogboolean or nullOptionalDefaults to false
Enable PostHog analytics for checkout tracking
posthog_api_keystring or nullOptional
PostHog Project API Key
posthog_init_keysmap from strings to any or nullOptional
Custom keys to pass to posthog.init
create_new_customer_per_sessionboolean or nullOptionalDefaults to false
Create a new customer for every checkout session
detach_failed_payment_methodboolean or nullOptionalDefaults to false
Detach payment methods that fail on checkout
enable_promo_codeboolean or nullOptionalDefaults to true
Show the promo code entry field on checkout
default_countrystring or nullOptional
Default country for checkout
billing_address_countryboolean or nullOptionalDefaults to true
Collect country in billing address
billing_address_addressboolean or nullOptionalDefaults to true
Collect street address in billing address
billing_address_city_stateboolean or nullOptionalDefaults to true

Collect city/state in billing address

billing_address_zipboolean or nullOptionalDefaults to true
Collect ZIP code in billing address
enable_shipping_addressboolean or nullOptionalDefaults to true
Collect shipping address on checkout
custom_checkbox_textstring or nullOptional
Custom text for the consent checkbox
allow_duplicate_product_subscriptionsboolean or nullOptionalDefaults to false

Allow creating subscriptions for products a customer already has a non-cancelled subscription for

primary_colorstring or nullOptionalDefaults to #1FC55B
Primary color for checkout in hex format
text_colorstring or nullOptionalDefaults to #FFFFFF
Text color for checkout in hex format
background_colorstring or nullOptionalDefaults to #1C1C1C
Background color for checkout in hex format

Errors

422
Unprocessable Entity Error